Contributor
Contributor

PSC Merge fail - The vCenter Server appliance build number does not match with the vCenter Server appliance configured in the update repository.

I  have upgraded my vCenter PSC to 6.7.0.44000. When I go into vCenter (System Configuration) and click the "Converge to Embedded" button, it fails with the following error:

The vCenter Server appliance build number does not match with the vCenter Server appliance configured in the update repository.

Based on a similar posting, I added the 6.7 ISO to the VM but no luck. Any idea on what causes this and how to get past it?

Thank you,

Tags (1)
0 Kudos
2 Replies
Enthusiast
Enthusiast

I had the same issue and they I fixed was inside the VAMI click on Settings and choose use custom repository. Copy and paste the same repository from the default repository.

https://vapp-updates.vmware.com/vai-catalog/valm/vmw/8d167796-34d5-4899-be0a-6daade4005a3/6.7.0.4400...

pastedImage_0.png

Go back to converge windows and try again. Monitor the process with login to VCSA and use tail.

cd /var/log/vmware/converge/

sudo tail -f converge.log

I hope that will help you in your case.

Contributor
Contributor

Thanks for the info VentziP. It didn't quite work for me when I did it in the VAMI interface but it did give me the idea to check it elsewhere. I logged into the shell and checked the update repo there and it was still stuck on the 6.5 repo! I reset it to Default and then it was all good. *edit* later realised that I was probably updating the wrong VAMI interface :smileygrin:

Command> update.get

Config:

   Currenturl: https://vapp-updates.vmware.com/vai-catalog/valm/vmw/8d167796-34d5-4899-be0a-6daade4005a3/6.5.0.5600...

   Username: ''

   Time: 00:00:00

   Latestupdatequerytime: ''

   Password: ''

   Checkupdates: disabled

   Defaulturl: https://vapp-updates.vmware.com/vai-catalog/valm/vmw/8d167796-34d5-4899-be0a-6daade4005a3/6.7.0.4400...

   Latestupdateinstalltime: ''

   Day: Everyday

Command> update.set --currentURL "default"

Command>

Command> update.get

Config:

   Currenturl: https://vapp-updates.vmware.com/vai-catalog/valm/vmw/8d167796-34d5-4899-be0a-6daade4005a3/6.7.0.4400...

   Username: ''

   Time: 00:00:00

   Latestupdatequerytime: ''

   Password: ''

   Checkupdates: disabled

   Defaulturl: https://vapp-updates.vmware.com/vai-catalog/valm/vmw/8d167796-34d5-4899-be0a-6daade4005a3/6.7.0.4400...

   Latestupdateinstalltime: ''

   Day: Everyday

"The vCenter Server appliance build number does not match with the vCenter Server appliance configured in the update repository."